Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client
Class CommandCanceledException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.google.gwt.user.client.CommandCanceledException

All Implemented Interfaces:
  java.io.Serializable

    public class CommandCanceledException

extends java.lang.RuntimeException

Exception reported to the current `GWT.UncaughtExceptionHandler` when a deferred `Command` is canceled as a result of a slow script warning.

See Also:
  Serialized Form

Constructor Summary
`CommandCanceledException(Command command)`

Method Summary
`Command` | `getCommand()` Returns the `Command` which was canceled by the user as a result of a slow script warning.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CommandCanceledException

    public CommandCanceledException(Command command)

Method Detail

### getCommand

    public Command getCommand()

  Returns the `Command` which was canceled by the user as a result of a slow script warning.

  Returns:
    the `Command` which was canceled by the user as a result of a slow script warning

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD